Package ch.qos.logback.core.pattern.util

## Class RestrictedEscapeUtil

- java.lang.Object
- - ch.qos.logback.core.pattern.util.RestrictedEscapeUtil

All Implemented Interfaces:
  `IEscapeUtil`

Direct Known Subclasses:
  `AlmostAsIsEscapeUtil`

    public class RestrictedEscapeUtil
    extends java.lang.Object
    implements IEscapeUtil

This implementation is intended for use in PatternLayout.

Author:
  Ceki Gülcü

### Constructor Summary

Constructors
`RestrictedEscapeUtil()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `escape​(java.lang.String escapeChars, java.lang.StringBuffer buf, char next, int pointer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RestrictedEscapeUtil

    public RestrictedEscapeUtil()

### Method Detail

#### escape

    public void escape​(java.lang.String escapeChars,
                       java.lang.StringBuffer buf,
                       char next,
                       int pointer)

Specified by:
  `escape` in interface `IEscapeUtil`